#include <bits/stdc++.h>
using namespace std;

#define rep(i, a, b) for (int i = (a); i < (b); i++)
#define all(x) begin(x), end(x)
#define sz(x) int((x).size())
using ll = long long;
using pii = pair<int, int>;
using vi = vector<int>;

#ifdef LOCAL
auto operator<<(auto& o, auto x) -> decltype(x.first, o);
auto operator<<(auto& o, auto x) -> decltype(x.end(), o) {
  o << "{";
  for (int i = 0; auto y : x) o << ", " + !i++ * 2 << y;
  return o << "}";
}
auto operator<<(auto& o, auto x) -> decltype(x.first, o) {
  return o << "(" << x.first << ", " << x.second << ")";
}
void __print(auto... x) { ((cerr << x << " "), ...) << endl; }
#define debug(x...) __print("[" #x "]:", x)
#else
#define debug(...) 2137
#endif

const int N = 100100;
int n, k;
int a[N];

void solve() {
  cin >> n >> k;
  rep(i, 0, n) cin >> a[i];
  sort(a, a + n);
  int x = 0;
  int y = 0;
  rep(i, 0, n) y += a[i] >= k;
  int j = n - 1;
  rep(i, 0, n) {
    while (i < j && a[i] + a[j] >= k) j--;
    if (i >= j) break;
    x++; j--;
  }
  int z = n - 2 * x - y;
  debug(x, y, z);
  assert(x >= 0 && y >= 0 && z >= 0);
  int odp = 0;
#if 0
  if (x >= y) {
    odp += y;
    x -= y;
    if (x >= z) odp += x;
    else {
      z -= x; odp += x;
      odp += z / 2;
    }
  } else {
    odp += x;
    y -= x;
    if (z >= y) {
      z -= y; odp += y;
      odp += z / 2;
    } else odp += y;
  }
#endif
  if (x >= y) {
    odp += y; x -= y;
    if (x < z) {
      odp += x;
      z -= x;
      odp += z / 2 - (z % 2 == 0);
    } else {
      odp += z - (x == z);
      x -= z;
      odp += (2 * x) / 3 - (x && 2 * x % 3 == 0);
    }
  } else {
    odp += x; y -= x;
    if (y >= z) odp += y - 1;
    else {
      z -= y; odp += y;
      odp += z / 2 - (z % 2 == 0);
    }
  }
  cout << odp << '\n';
}

int main() {
  cin.tie(0)->sync_with_stdio(0);
  int t;
  cin >> t;
  while (t--) solve();
}
