#include <bits/stdc++.h>
using namespace std;

#define rep(i, a, b) for (int i = (a); i < (b); i++)
#define all(x) begin(x), end(x)
#define sz(x) int((x).size())
using ll = long long;
using pii = pair<int, int>;
using vi = vector<int>;

#ifdef LOCAL
auto operator<<(auto& o, auto x) -> decltype(x.first, o);
auto operator<<(auto& o, auto x) -> decltype(x.end(), o) {
  o << "{";
  for (int i = 0; auto y : x) o << ", " + !i++ * 2 << y;
  return o << "}";
}
auto operator<<(auto& o, auto x) -> decltype(x.first, o) {
  return o << "(" << x.first << ", " << x.second << ")";
}
void __print(auto... x) { ((cerr << x << " "), ...) << endl; }
#define debug(x...) __print("[" #x "]:", x)
#else
#define debug(...) 2137
#endif

const int N = 2020;
int n;
int a[N];

void solve() {
  cin >> n;
  rep(i, 0, n) cin >> a[i];
  sort(a, a + n);
  vector<pii> b;
  for (int i = 0, j = 0; i < n; i = j) {
    while (j < n && a[i] == a[j]) j++;
    b.push_back({a[i], j - i});
  }
  ll lo = a[n - 1];
  ll hi = 1ll * n * a[n - 1];
  while (lo < hi) {
    ll mid = (lo + hi) / 2;
    bool ok = 1;
    rep(i, 0, sz(b)) {
      ok &= b[i].second <= mid / b[i].first;
      if (!ok) break;
      rep(j, i + 1, sz(b)) {
        ok &= b[i].second + b[j].second <= mid / b[i].first + mid / b[j].first - mid / (1ll * b[i].first / __gcd(b[i].first, b[j].first) * b[j].first);
        if (!ok) break;
      }
      if (!ok) break;
    }
    if (ok) hi = mid;
    else lo = mid + 1;
  }
  cout << lo << '\n';
}

int main() {
  cin.tie(0)->sync_with_stdio(0);
  int t;
  cin >> t;
  while (t--) solve();
}
